KLOAK(8)

NAME
kloak - anti keystroke deanonymization tool

SYNOPSIS
kloak options

OPTIONS

○   -h

    print usage message and exit

○   -r

    filename: device file to read events from

○   -w

    filename: device file to write events to (should be uinput)

○   -d

    delay: maximum delay (milliseconds) of released events. Default 100.

○   -s

    startup_timeout: time to wait (milliseconds) before startup. Default 500.

○   -k

    csv_string: csv list of rescue key names to exit kloak in case the keyboard becomes unresponsive. Default is 'KEY_LEFTSHIFT,KEY_RIGHTSHIFT,KEY_ESC'.

○   -v

    verbose mode

DESCRIPTION
kloak is a Keystroke-level online anonymization kernel.

kloak is a privacy tool that makes keystroke biometrics less effective. This is accomplished by obfuscating the time intervals between key press and release events, which are typically used for identification.

EXAMPLES
Use eventcap(8) (or some other event capture tool) and look for the device that generates events when keys are pressed.

Starting kloak without any options will use sensible defaults and attempt to find the location of the keyboard device and uinput. Note that since kloak requires reading from and writing to device files, it probably won't work without running as root:

sudo ./kloak

Optionally start kloak by specifying the input and output device files. The output device should be the location of uinput.

sudo ./kloak -r /dev/input/event4 -w /dev/uinput

WWW
https://github.com/vmonaco/kloak

CREDITS
kloak was written by Vinnie Monaco.

AUTHOR
This man page has been written by Patrick Schleizer (adrelanos@whonix.org).